Eclipse Platform Release 3.7

## org.eclipse.ui.handlers
Class RegistryRadioState

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.core.commands.State
              org.eclipse.jface.commands.PersistentState
                  org.eclipse.jface.commands.ToggleState
                      org.eclipse.jface.commands.RadioState
                          org.eclipse.ui.handlers.RegistryRadioState

All Implemented Interfaces:
  IExecutableExtension

    public final class RegistryRadioState

extends RadioState
implements IExecutableExtension

A radio state that can be read from the registry. This stores a piece of boolean state information that is grouped with other boolean state to form a radio group. In a single radio group, there can be at most one state who value is `Boolean.TRUE` all the others must be `Boolean.FALSE`.

When parsing from the registry, this state understands three parameters: `default`, which is the default value for this item; `persisted`, which is whether the state should be persisted between sessions; `id`, which is the identifier of the group to which this radio handler belongs. The `default` parameter defaults to `false`, and the `persisted` parameter defaults to `true`. If only one parameter is passed (i.e., using the class name followed by a colon), then it is assumed to be the `id` parameter. The `id` is required for this class to function properly.

Clients may instantiate this class, but must not extend.

Since:
  3.2

Constructor Summary
`RegistryRadioState()`

Method Summary
`void` `setInitializationData(IConfigurationElement configurationElement, String propertyName, Object data)` This method is called by the implementation of the method `IConfigurationElement.createExecutableExtension` on a newly constructed extension, passing it its relevant configuration information.

Methods inherited from class org.eclipse.jface.commands.RadioState
`dispose, setRadioGroupIdentifier, setValue`

Methods inherited from class org.eclipse.jface.commands.ToggleState
`load, save`

Methods inherited from class org.eclipse.jface.commands.PersistentState
`setShouldPersist, shouldPersist`

Methods inherited from class org.eclipse.core.commands.State
`addListener, fireStateChanged, getId, getValue, removeListener, setId`

Methods inherited from class org.eclipse.core.commands.common.EventManager
`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RegistryRadioState

    public RegistryRadioState()

Method Detail

### setInitializationData

    public final void setInitializationData(IConfigurationElement configurationElement,
                                            String propertyName,
                                            Object data)

  Description copied from interface: `IExecutableExtension`
  This method is called by the implementation of the method `IConfigurationElement.createExecutableExtension` on a newly constructed extension, passing it its relevant configuration information. Most executable extensions only make use of the first two call arguments.

  Regular executable extensions specify their Java implementation class name as an attribute of the configuration element for the extension. For example

           <action run="com.example.BaseAction"/>

  In the above example, this method would be called with a reference to the `<action>` element (first argument), and `"run"` as the name of the attribute that defined this executable extension (second argument).

  The last parameter is for the specific use of extension adapters and is typically not used by regular executable extensions.

  There are two supported ways of associating additional adapter-specific data with the configuration in a way that is transparent to the extension point implementor:

  (1) by specifying adapter data as part of the implementation class attribute value. The Java class name can be followed by a ":" separator, followed by any adapter data in string form. For example, if the extension point specifies an attribute `"run"` to contain the name of the extension implementation, an adapter can be configured as

           <action run="com.example.ExternalAdapter:./cmds/util.exe -opt 3"/>

  (2) by converting the attribute used to specify the executable extension to a child element of the original configuration element, and specifying the adapter data in the form of xml markup. Using this form, the example above would become

           <action>
               <<it>run</it> class="com.xyz.ExternalAdapter">
                   <parameter name="exec" value="./cmds/util.exe"/>
                   <parameter name="opt"  value="3"/>
               </<it>run</it>>
           </action>

  Form (2) will typically only be used for extension points that anticipate the majority of extensions configured into it will in fact be in the form of adapters.

  In either case, the specified adapter class is instantiated using its 0-argument public constructor. The adapter data is passed as the last argument of this method. The data argument is defined as Object. It can have the following values:

  - `null`, if no adapter data was supplied
  - in case (1), the initialization data string is passed as a `String`
  - in case (2), the initialization data is passed as a `Hashtable` containing the actual parameter names and values (both `String`s)

  Specified by:
    `setInitializationData` in interface `IExecutableExtension`
  Parameters:
    `configurationElement` - the configuration element used to trigger this execution. It can be queried by the executable extension for specific configuration properties
    `propertyName` - the name of an attribute of the configuration element used on the `createExecutableExtension(String)` call. This argument can be used in the cases where a single configuration element is used to define multiple executable extensions.
    `data` - adapter data in the form of a `String`, a `Hashtable`, or `null`.
  See Also:
    `IConfigurationElement.createExecutableExtension(String)`

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.